Loading...
Searching...
No Matches
sdbus::Struct< ValueTypes > Class Template Reference

`#include <Types.h>`

Inheritance diagram for sdbus::Struct< ValueTypes >:

## Public Member Functions

| Struct (const std::tuple< ValueTypes... > &tuple)
template<std::size_t I>
auto & | get ()
template<std::size_t I>
const auto & | get () const

## Detailed Description

template<typename... ValueTypes>
class sdbus::Struct< ValueTypes >

Representation of struct D-Bus type

Struct implements tuple protocol, i.e. it's a tuple-like class. It can be used with std::get<>(), std::tuple_element, std::tuple_size and in structured bindings.

The documentation for this class was generated from the following files:

- include/sdbus-c++/Message.h
- include/sdbus-c++/Types.h